# Uses of Class
javafx.scene.input.InputMethodTextRun

Packages that use InputMethodTextRun
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of InputMethodTextRun in javafx.scene.input

Methods in javafx.scene.input that return types with arguments of type InputMethodTextRun
Modifier and Type
Method
Description
`final ObservableList<InputMethodTextRun>`
InputMethodEvent.`getComposed()`
Gets the text under composition.
Constructor parameters in javafx.scene.input with type arguments of type InputMethodTextRun
Modifier
Constructor
Description
``
`InputMethodEvent(Object source, EventTarget target, EventType<InputMethodEvent> eventType, List<InputMethodTextRun> composed, String committed, int caretPosition)`
Constructs new InputMethodEvent event.
``
`InputMethodEvent(EventType<InputMethodEvent> eventType, List<InputMethodTextRun> composed, String committed, int caretPosition)`
Constructs new InputMethodEvent event with empty source and target.